/*
 * test_moves_order_pawns.h --- Order the moves concerning pawns.
 *
 * Copyright (c) 2015 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of Natch.
 *
 * Natch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Natch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef TEST_MOVES_ORDER_PAWNS_H
#define TEST_MOVES_ORDER_PAWNS_H

#include	"expltype.h"
#include	"twin_squares.h"
#include	"moves_order.h"

bool_t
add_pawn_line_constraints(
    struct moves_order_t*	moves_order,
    const exploration_t*	exploration,
    twin_squares_t*             twin_squares);

#endif /* TEST_MOVES_ORDER_PAWNS_H */
